javax.xml.registry.infomodel

## Interface User

- All Superinterfaces:
    ExtensibleObject, RegistryObject

      public interface User
      extends RegistryObject

  User instances are RegistryObjects that are used to provide information about registered users within the registry. Users are affiliated with Organizations. User objects are used in the audit trail for a RegistryObject.
  Author:
    Farrukh S. Najmi
  See Also:
    `Organization`, `AuditableEvent`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Collection` | `getEmailAddresses()` Gets the email addresses for this User.
    `Organization` | `getOrganization()` Gets the Organization that this User is affiliated with.
    `PersonName` | `getPersonName()` Returns the name of this User.
    `Collection` | `getPostalAddresses()` Gets the postal address for this User.
    `Collection` | `getTelephoneNumbers(String phoneType)` Gets the telephone numbers for this User that match the specified telephone number type.
    `String` | `getType()` Gets the type for this User.
    `URL` | `getUrl()` Gets the URL to the web page for this User.
    `void` | `setEmailAddresses(Collection emailAddresses)` Sets the Collection of EmailAddress instances for this User.
    `void` | `setPersonName(PersonName personName)` Sets the name of this User.
    `void` | `setPostalAddresses(Collection addresses)` Sets the addresses for this User.
    `void` | `setTelephoneNumbers(Collection phoneNumbers)` Sets the various telephone numbers for this user.
    `void` | `setType(String type)` Sets the type for this User.
    `void` | `setUrl(URL url)` Sets the URL to the web page for this User.

    - ### Methods inherited from interface javax.xml.registry.infomodel.RegistryObject

      `addAssociation, addAssociations, addClassification, addClassifications, addExternalIdentifier, addExternalIdentifiers, addExternalLink, addExternalLinks, getAssociatedObjects, getAssociations, getAuditTrail, getClassifications, getDescription, getExternalIdentifiers, getExternalLinks, getKey, getLifeCycleManager, getName, getObjectType, getRegistryPackages, getSubmittingOrganization, removeAssociation, removeAssociations, removeClassification, removeClassifications, removeExternalIdentifier, removeExternalIdentifiers, removeExternalLink, removeExternalLinks, setAssociations, setClassifications, setDescription, setExternalIdentifiers, setExternalLinks, setKey, setName, toXML`

    - ### Methods inherited from interface javax.xml.registry.infomodel.ExtensibleObject

      `addSlot, addSlots, getSlot, getSlots, removeSlot, removeSlots`

- - ### Method Detail

    - #### getOrganization

          Organization getOrganization()
                                       throws JAXRException

      Gets the Organization that this User is affiliated with.

      Capability Level: 0
      Returns:
        the Organization that this User is affiliated with
      Throws:
        `JAXRException` - If the JAXR provider encounters an internal error

    - #### getPersonName

          PersonName getPersonName()
                                   throws JAXRException

      Returns the name of this User.

      Capability Level: 0
      Returns:
        the name of this User
      Throws:
        `JAXRException` - If the JAXR provider encounters an internal error

    - #### setPersonName

          void setPersonName(PersonName personName)
                             throws JAXRException

      Sets the name of this User.

      Capability Level: 0
      Parameters:
        `personName` - the name of this User
      Throws:
        `JAXRException` - If the JAXR provider encounters an internal error

    - #### getPostalAddresses

          Collection getPostalAddresses()
                                        throws JAXRException

      Gets the postal address for this User.

      Capability Level: 0
      Returns:
        Collection of PostalAddress instances. The Collection may be empty but not null.
      Throws:
        `JAXRException` - If the JAXR provider encounters an internal error
      See Also:
        `PostalAddress`

    - #### setPostalAddresses

          void setPostalAddresses(Collection addresses)
                                  throws JAXRException

      Sets the addresses for this User.

      Capability Level: 0
      Parameters:
        `addresses` - Is a Collection of PostAddress instances.
      Throws:
        `JAXRException` - If the JAXR provider encounters an internal error

    - #### getUrl

          URL getUrl()
                     throws JAXRException

      Gets the URL to the web page for this User.

      Capability Level: 1
      Returns:
        the URL for this User's home page
      Throws:
        `JAXRException` - If the JAXR provider encounters an internal error

    - #### setUrl

          void setUrl(URL url)
                      throws JAXRException

      Sets the URL to the web page for this User.

      Capability Level: 1
      Parameters:
        `url` - the URL for this User's home page
      Throws:
        `JAXRException` - If the JAXR provider encounters an internal error

    - #### getTelephoneNumbers

          Collection getTelephoneNumbers(String phoneType)
                                         throws JAXRException

      Gets the telephone numbers for this User that match the specified telephone number type.

      Capability Level: 0
      Parameters:
        `phoneType` - specifies the type of phone numbers to be returned. If phoneType is null, return all telephoneNumbers
      Returns:
        Collection of TelephoneNumber instances. The Collection may be empty but not null.
      Throws:
        `JAXRException` - If the JAXR provider encounters an internal error
      See Also:
        `TelephoneNumber`

    - #### setTelephoneNumbers

          void setTelephoneNumbers(Collection phoneNumbers)
                                   throws JAXRException

      Sets the various telephone numbers for this user.

      Capability Level: 0
      Parameters:
        `phoneNumbers` - the Collection of TelephoneNumbers to be set
      Throws:
        `JAXRException` - If the JAXR provider encounters an internal error

    - #### getEmailAddresses

          Collection getEmailAddresses()
                                       throws JAXRException

      Gets the email addresses for this User.

      Capability Level: 0
      Returns:
        Collection of EmailAddress instances. The Collection may be empty but not null.
      Throws:
        `JAXRException` - If the JAXR provider encounters an internal error
      See Also:
        `EmailAddress`

    - #### setEmailAddresses

          void setEmailAddresses(Collection emailAddresses)
                                 throws JAXRException

      Sets the Collection of EmailAddress instances for this User.

      Capability Level: 0
      Parameters:
        `emailAddresses` - the Collection of EmailAddresses to be set
      Throws:
        `JAXRException` - If the JAXR provider encounters an internal error

    - #### getType

          String getType()
                         throws JAXRException

      Gets the type for this User. Default is a NULL String.

      Capability Level: 0
      Returns:
        the type for this User, which is an arbitrary String
      Throws:
        `JAXRException` - If the JAXR provider encounters an internal error

    - #### setType

          void setType(String type)
                       throws JAXRException

      Sets the type for this User.

      Capability Level: 0
      Parameters:
        `type` - the type for this User, which is an arbitrary String
      Throws:
        `JAXRException` - If the JAXR provider encounters an internal error

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.